Bug 1557613 - Trying to update the host in Satellite 6.2 gives the error - ERF42-6324 [Foreman::Exception]: Could not find network dvportgroup-56 on VMWare compute resource
Summary: Trying to update the host in Satellite 6.2 gives the error - ERF42-6324 [Fore...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-17 07:40 UTC by Shivdutt Bharadwaj
Modified: 2019-08-12 16:00 UTC (History)
16 users (show)

Fixed In Version: foreman-1.15.6.47-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1596351 (view as bug list)
Environment:
Last Closed: 2018-08-22 20:07:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
vmware update host params work (19.28 KB, image/png)
2018-08-08 09:05 UTC, Kedar Bidarkar
no flags Details
vmware update host params work2 (68.28 KB, image/png)
2018-08-08 09:05 UTC, Kedar Bidarkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19623 0 Normal Closed Changes to vmware vm gives 'Could not find network X on VMWare compute resource' 2021-01-23 21:00:54 UTC

Description Shivdutt Bharadwaj 2018-03-17 07:40:37 UTC
Description of problem: Trying to update the host in Satellite 6.2 gives the error - ERF42-6324 [Foreman::Exception]: Could not find network dvportgroup-56 on VMWare compute resource


Version-Release number of selected component (if applicable):
6.2

This is fixed in upstream. Need to include in future releases of satellite.

Additional info: Upstream Bug link - https://projects.theforeman.org/issues/19623

Comment 1 pm-sat@redhat.com 2018-03-17 08:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19623 has been resolved.

Comment 6 kuemmer 2018-03-29 09:11:41 UTC
It looks like it's not fixed in foreman 1.16, please see comment #21:

https://projects.theforeman.org/issues/19623#note-21

Comment 14 Kedar Bidarkar 2018-08-08 09:00:18 UTC
Provisioned a Host on vmware and then updated parameters successfully.

Please note the activation_keys:= ak-rhel-7 becomes ak-rhel-75



Verified with Sat6.3.3 snap2



[root@testing-sat633 ~]# hammer -u admin -p changeme host info --id 3 
Id:                       3
UUID:                     501e4432-1cbe-915c-4bb5-7aa12146c229
Name:                     norma-plumb.redhat.com
Organization:             Default Organization
Location:                 Default Location
Host Group:               RHEL 7 Server 64-bit HG
Compute Resource:         vmware_provider
Environment:              production
Puppet CA Id:             1
Puppet Master Id:         1
Cert name:                norma-plumb.redhat.com
Managed:                  yes
Installed at:             
Last report:              
Network:                  
    IP:     30.x.x.x
    MAC:    00:50:56:9e:61:57
    Subnet: testingsat6_el6
    Domain: .redhat.com
Network interfaces:       
 1) Id:          3
    Identifier:  eth0
    Type:        interface (primary, provision)
    MAC address: 00:50:56:9e:61:57
    IP address:  30.x.x.x
    FQDN:
Operating system:         
    Architecture:           x86_64
    Operating System:       RedHat 7.5
    Build:                  yes
    Partition Table:        Kickstart default
    Custom partition table:
Parameters:               

All parameters:           
    kt_activation_keys => ak-rhel-7
Additional info:          
    Owner Id:   3
    Owner Type: User
    Enabled:    yes
    Comment:
OpenSCAP Proxy:           1
Content Information:      
    Content View:          
        ID:   2
        Name: RHEL 7 CV
    Lifecycle Environment: 
        ID:   2
        Name: DEV
    Content Source:        
        ID:   1
        Name: testing-sat633.redhat.com
    Kickstart Repository:  
        ID:   18
        Name:
    Applicable Packages:   0
    Upgradable Packages:   0
    Applicable Errata:     
        Enhancement: 0
        Bug Fix:     0
        Security:    0
Subscription Information: 
    UUID:            
    Last Checkin:    
    Service Level:   
    Release Version: 
    Autoheal:        
    Registered To:   
    Registered At:
Host Collections:

[root@testing-sat633 ~]# hammer -u admin -p changeme host info --id 3 
Id:                       3
UUID:                     501e4432-1cbe-915c-4bb5-7aa12146c229
Name:                     norma-plumb.redhat.com
Organization:             Default Organization
Location:                 Default Location
Host Group:               RHEL 7 Server 64-bit HG
Compute Resource:         vmware_provider
Environment:              production
Puppet CA Id:             1
Puppet Master Id:         1
Cert name:                norma-plumb.redhat.com
Managed:                  yes
Installed at:             
Last report:              
Network:                  
    IP:     30.x.x.x
    MAC:    00:50:56:9e:61:57
    Subnet: testingsat6_el6
    Domain: .redhat.com
Network interfaces:       
 1) Id:          3
    Identifier:  eth0
    Type:        interface (primary, provision)
    MAC address: 00:50:56:9e:61:57
    IP address:  30.x.x.x
    FQDN:
Operating system:         
    Architecture:           x86_64
    Operating System:       RedHat 7.5
    Build:                  yes
    Partition Table:        Kickstart default
    Custom partition table:
Parameters:               
    kt_activation_keys => ak-rhel-75
All parameters:           
    kt_activation_keys => ak-rhel-75
Additional info:          
    Owner Id:   3
    Owner Type: User
    Enabled:    yes
    Comment:
OpenSCAP Proxy:           1
Content Information:      
    Content View:          
        ID:   2
        Name: RHEL 7 CV
    Lifecycle Environment: 
        ID:   2
        Name: DEV
    Content Source:        
        ID:   1
        Name: testing-sat633.redhat.com
    Kickstart Repository:  
        ID:   18
        Name:
    Applicable Packages:   0
    Upgradable Packages:   0
    Applicable Errata:     
        Enhancement: 0
        Bug Fix:     0
        Security:    0
Subscription Information: 
    UUID:            
    Last Checkin:    
    Service Level:   
    Release Version: 
    Autoheal:        
    Registered To:   
    Registered At:
Host Collections:

Comment 15 Kedar Bidarkar 2018-08-08 09:05:00 UTC
Created attachment 1474201 [details]
vmware update host params work

Comment 16 Kedar Bidarkar 2018-08-08 09:05:38 UTC
Created attachment 1474202 [details]
vmware update host params work2

Comment 19 errata-xmlrpc 2018-08-22 20:07:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2550


Note You need to log in before you can comment on or make changes to this bug.